The support.orcid.org website is on a UserVoice platform that has a different privacy policy from our other sites. You may view the details at http://support.orcid.org/tos
X

Technical requirements for using the ORCID site

Welcome to ORCID > Technical requirements for using the ORCID site

Internet access is required to use ORCID. The computer you are using to access the ORCID website needs to meet certain minimum requirements for browsers and plugins.

Is your browser up to date?

The ORCID Registry works best on the latest internet browsers and on major operating systems. We test for:

  • Firefox: version 33+
  • Chrome: version 38+
  • Internet Explorer: version 11+
  • Safari: version 6+
  • Opera: version 12+

If you are using an older browser, our site may not display correctly or might not even work at all. If you don't know what browser you are using, use What’s My Browser to find out.

If you are using a current browser and still encounter problems with the ORCID Registry, please contact us.


Explore all help topics at Welcome to ORCID.

Feedback and Knowledge Base